Quassel IRC - Bug #1242

Client as of quassel 0.9.0 does not run and outputs "No DockManager available"
09/25/2013 07:24 AM - shiznix

Status: Closed Start date: 09/25/2013
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Quassel Client Estimated time: 0.00 hour

Target version:

Version: 0.9-pre 0S: Any

Description

After upgrading to 0.9.0, running 'quasselclient’ in an xterm outputs the following...
$ quasselclient
No DockManager available

No GUI appears and no further output is made available at this point.

History

#1 - 10/08/2013 02:31 AM - speedevil

shiznix wrote:
After upgrading to 0.9.0, running 'quasselclient' in an xterm outputs the following...
$ quasselclient
No DockManager available

No GUI appears and no further output is made available at this point.

An almost content free 'Me too' - but it did work for a few days.

Ok - some more investigation.
Blowing away the configdir makes it behave again.

#2 - 10/08/2013 02:36 AM - speedevil
Platform Version 4.10.5 - Slackware current-64.
Dockmanager unavailable appears if it works or not - it does not seem required to exhubit the hang.

#3 - 10/08/2013 07:12 AM - Anonymous

Correct, the whole dockmanager message is just a leftover debug message. Hardly anyone actually has a DockManager. See if it properly crashes
(hoping you had debug symbols) by checking ~/.config/quassel-irc.org for Quassel-Crash-$date-$time.log

#4 - 11/26/2013 06:14 PM - shiznix
Found the problem, and it's not a Quassel bug so this can be closed (I don't see an option anywhere for me to do this).

The problem was that | was using Ubuntu.
They have chosen to remove the systray from their Unity desktop in the vain hope that developers will adopt their indicators API instead.

So, my Quassel was actually running but minimised to the non-existent systray.

#5 - 11/26/2013 07:46 PM - Anonymous

- Status changed from New to Closed

It must've been in the tray already then; it only starts minimized to tray in 0.9.0, and only if it was closed from the tray. Also, quassel already has an
indicator backend (implemented by Canonical).
